logs archiveIRC Archive / Freenode / #centos / 2007 / February / 11 / 1
Miranda3
hello
need a little help with SELinux and qmail... I get some AVC messages, but I do not know how to restrict the too broad results audit2allow is giving me
Scott__
BlackHand : I tryed to install from cd in app.>sys. sett.>add/remove> it tells me when I try to remove packages to reinstall them later that packages are not found? Is there a repare flag command I can use in root?
Miranda3
or you people suggest I should try something simpler, like grsec?
Arrfab
Miranda3 : grsec will not work on standard centos ... and qmail is not standard on centos too ...
Miranda3
I know, I need qmail on my system, sadly...
Scott__
Miranda3 : I have found Email to work good or thunderbird also,but i dont know if you are running a mail server or not I am very new to Linux
Arrfab : Ist there a package repare flag command to fix gcc?
Miranda3
yes, this is a server
Scott__
Miranda : ahh as I said I am very new
Miranda3
I know it is very difficult to solve this, as there are no qmail policies around for centos
         

Arrfab
Miranda3 : either you disable selinux, either you write a policy yourself ...
Miranda3
gotcha :) guess I will pick the first, even though even an incomplete SELinux on top of the DAC system won't allow additional permissions
BlackHand
Scott__: u need to install rpm-build for the x86_64 version
u install glibc-devel FOR THE 386 (32bits version)
u need glibc-devel for x86_64 installed
but i thing that u mess your install with bad mixed x86_64 and i386 packages
Scott__
BlackHand : thankyou for pointing that out I thought the software was backwords compatable
BlackHand
is compatible
but in mixed archs, weirds things happen if u dont take care
i prefer to force to use ONLY ONE arch in the x86_64 servers at my charge, 64 bits arch
Scott__
rpm build is 64
BlackHand
Scott__: glibc-devel rpm
Scott__
yum sais its installed
i install in yum >nuthing to do
glib-devel.x86_64 1:1.2.10-15
BlackHand
glibc-devel
no glib-devel
Scott__
glib-devel.x86_64 1:1.2.10-15 installed
BlackHand ;is there a flag command to repare packages?
BlackHand
Scott__: glib-devel <> glibc-devel
G-L-I-B-C no G-L-I-B
vnn
hmm im basically a debian user...how to I upgrade a package with yum?
uhm I think I have to do changes in yum's sources.list equivalent
AntonTakk
why would you think that?
peerce
vnn; `yum upgrade packagename`
vnn
failover: out of servers to try
peerce
assuming said package is part of centos. actually, I recommend `yum upgrade`, and all packages will be updated.
AntonTakk
that would actually be update
vnn
oh
k
peerce
err, yeah. update.
vnn
error getting file headers.info
-s
         

AntonTakk
upgrade enables extra logic that mostly isn't needed unless you are trying to go from one release to another via yum (which isn't recommended)
peerce
vnn; sounds like you're having networking problems then, perhaps.
vnn
jeez
you're right
no internet connection on this !@# server
(I'm volunteering for a school to upgrade their computers but its win2k and they have win98...and they all auth on the server with samba and for an unknown reason, I cant get them to join the domain
)
peerce
you can pull down a copy of a centos mirror site, and make it available on a local http server, then point yum at it by editing the appropriate /etc/yum.repos.d/*
samba's 'domain' support is somewhat dicey.
vnn
yeah its what I did read
but I dont even know if it acts as a pdc
peerce
each version of samba (and there are many) behaves somewhat differently.
vnn
:s
a pita
peerce
it can act as a NT4 style PDC fairly well, but doesn't support BDC's.
AntonTakk
vnn: samba 3 doesn't do AD DC
BlackHand
vnn: execute testparm and see in the report if is a PDC
peerce
yah, it won't do active directory worth a damn
AntonTakk
you'll need samba 4 pre-release for that
BlackHand
peerce: you can have Samba acting like PDC and BDC (using ldap backend)
peerce: and search if is using tdbsam backend or ldap backend
Scott__
BlackHand : I found that I have glibc in i386 I cant find 64 on yum
vnn
ROLE_DOMAIN_PDC
BlackHand
Scott__: yum install glibc-devel.x86_64
vnn: backend ? tdb or ldap ?
vnn
I have no idea
BlackHand
vnn: u have access to the server ?
vnn
im on ssh
I guessed the root password even if they lost it since 4 years...lol
BlackHand: how can I know that?
BlackHand
open /etc/samba/smb.conf and search for the "passdb backend" line
vnn
no lines with that
Ubuh-Huntuh
help! my comp is too fast!
vnn
lol
Scott__
BlackHand : I found it however I dont know if itd 64 or not its a rpm and its asking for a key I have not installed many rpm's I have compiles mabe 2 programs
locellcount
Hi, I keep getting this "Error: Missing Dependency: libmysqlclient.so.14 is needed by package perl-DBD-MySQL" when trying to install mysql server. I've had a hunt around on google for a solution, and I'll be the first to admit I may have read it and not realised. Frankly, it's driving me nuts.
mmcgrath
locellcount: have you installed a non-centos-standard mysql package?
locellcount
mmcgrath: nope, it's a clean install of the single server cd
mmcgrath
are you using rpm to install perl-DBD-MySQL?
locellcount
mmcgrath: I've been yumming it.
Scott__
BlackHand : glibc-2.3.4-2.9.src.rpm V3 DSA signature: NOKEY, key ID db42a60e
Carp1
Hey all! I really dont know much linux at all. I got vsFTPd running but I get an error when trying to upload files. Can't create file
vnn
well you need permissions on the folder where you upload
for the user you're ftp'ing
Scott__
BlackHand : Your are the man. I dont know why I wasent finding it when i did yum search
Carp1
i chmod 775 to /var/www
peerce
who owns that dir?
and what group?
Scott__
BlackHand : now I have zlib dep. issues though I rember having this problem before too
peerce
ls -l /var/www
Carp1
i created a group called ftpusers
all owned by root
peerce
what group does that directory belong to?
Carp1
I dont know how to assign a group
peerce
ls -l shows the group, chgrp changes it
Carp1
drwxr-xr-x 2 root root 4096 Aug 13 04:33 cgi-bin
5 lines that look like that
peerce
ok, so only members of the root group have write access to cgi-bin
Carp1
so.... chgrp /var/www ftpusers
?
peerce
man chgrp.
Scott__
BlackHand : http://rafb.net/p/2DVp1Z65.html
peerce
I'm thinking you need a book on elementary unix/linux systems administration... this is all -really- basic stuff, none of it is at all specific to centos
Tikchiktankapun
hi, ppl
Carp1
yeah, i dont know linux vary well.
vnn
arrr samba is driving me nuts
Scott__
ok I thank you for your advise I do need to learn
Tikchiktankapun
:-D
find book linx power tools :)
Scott__
drivers are a pain too from my experinces
Tikchiktankapun
O_o
Carp1
peerce: thanks, works well now.
locellcount
Am I missing something about this whole yum thing? It's supposed to install dependencies right?
I've yum'd perl-DBD-MySQL and that installs fine, but yum install mysql-server still gives that dependency error
BlackHand
Scott__: compile problems, in your ./configure add "--disable-zlib-vcheck"
Keb-
I'm wondering... What repo might I find fluxbox in?
pauliukas
Good evening. I need some advice.
Is there a way to convert a server to CentOS?
locellcount
I'm just going to cry on my keyboard and hope the tears cause some kind of magical connection in my keyboard that installs mysql for me. The weird thing is is that even installing mysql with the servercd packages it didn't work
Keb-
pauliukas: short answer is no
pauliukas
I've recall people doing that.
But I forgot if it's only for RPM-based OSes or so...
Keb-
Long answer is somewhat, depending on how your filesystem is setup and stuff like that
pauliukas
Convert, as in, I can lose all the data.
Keb-
If you can lose all the data, just install it
pauliukas
It's at a datacenter.
Long story short, these guys don't provide CentOS.
Keb-
ok you should be able to, but you might need them to pop in a livecd for you and configure network
pauliukas
Okay well, I guess I can forget about centos.
These guys charge $50 to reformat.
And clearly said that they don't deviate from standard procedures
Keb-
There's probably some other way, i'm not sure how tho
And this is the first i've heard about a datacenter not supporting centos :>
Usually it's hard to find someone that support anything but
bobnn
Keb- - I think karan has fluxbox.
Keb-
Damn.. I was hoping I didn't have to install another repo on this server.. :>
Any other small window manager you remember similar to fluxbox that might be in the "vanilla" repos?
bobnn
my recollection uis that's where I got it from.
locellcount
Does anyone know where I can find MySQL-shared-compat? It's not in the list returned by yum list m*
range
Keb-: twm
bobnn
kbs-CentOS-Extra has fluxbox
Keb-
range: remember the package name? :)
pauliukas
http://webtropia.com/
Keb-
xorg-x11-twm ?
range
Keb-: No, not really. yum list "*twm*"
Keb-
k
« prev 1 2 3 4 5 6 next »